• Register
Description

Polaris Sector Alliance for PS 1.06d & 1.06e Beta by Nomada_Firefox. Install it + the last patch published. The last patch overwrite the previous patches. It works with the Lumens DLC adding the First Order faction. If you have not the DLC, you will not see this faction. Game versions set as (Old-Obsolete) are not neccesary and they do not run with the game last version. This mod is the fruit long work for the last months and it is not only a mod where I had copied and pasted everything, it includes thousands of changes and customizations with many new features. This version is a beta and it can contain errors. Report them in the Slitherine forum or my personal site firefoxccmods.com

Preview
(Active)-Polaris Sector Alliance 1.06d&1.06e
Comments
EgoJisto
EgoJisto

Thank you, friend, for this great mod. I bought the game just to use your mod properly, by the way, I think this speaks enough of how I am fond of your work. Keep it up!

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Nomada_Firefox Author
Nomada_Firefox

It is fully compatible. You have a conflict between winrar a 7z. 7z is the compressor used with the files.

Reply Good karma+1 vote
lucmangas
lucmangas

Hello, I am encountering a freeze with the latest file, my save is available (check pour private message) if you want it.

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.